fop 1.1

## org.apache.fop.afp
Class AFPRectanglePainter

    java.lang.Object
      org.apache.fop.afp.AbstractAFPPainter
          org.apache.fop.afp.AFPRectanglePainter

    public class AFPRectanglePainter

extends AbstractAFPPainter

A painter of rectangles in AFP

Field Summary

Fields inherited from class org.apache.fop.afp.AbstractAFPPainter
`dataStream, log, paintingState`

Constructor Summary
`AFPRectanglePainter(AFPPaintingState paintingState, DataStream dataStream)` Main constructor

Method Summary
`void` `paint(PaintingInfo paintInfo)` Paints the painting item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPRectanglePainter

    public AFPRectanglePainter(AFPPaintingState paintingState,
                               DataStream dataStream)

  Main constructor

  Parameters:
    `paintingState` - the AFP painting state
    `dataStream` - the AFP datastream

Method Detail

### paint

    public void paint(PaintingInfo paintInfo)

  Paints the painting item

  Specified by:
    `paint` in class `AbstractAFPPainter`
  Parameters:
    `paintInfo` - the painting information

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.